package Livecoding;

public class Methoden {
    public static void main(String[]args){
        sop("Zinseszins: ");
        //sop(Double.toString(zinseszins(50,2,5)),true);
        sop(runden(zinseszins(50,2,5),2),true);
        //sop(Double.toString(zinsesZinsmitZinsanstieg(500, 30)));
        sop(runden(zinsesZinsmitZinsanstieg(500, 30),2),true);
    }
    private static void sop(String input){
        System.out.print(input);
    }
    private static void sop(String input, boolean newline){
        System.out.println(input);
    }
    private static double zinseszins(double startguthaben, double zinsSatz, int anlageJahre){
        double res;
        res = startguthaben*Math.pow(1+zinsSatz/100, anlageJahre);
        return res;
    }
    private static int zinsesZinsmitZinsanstieg(int K, int p){
        return (K*(p+1))/1;
    }
    public static String runden(double wert, int dezi){
        return String.format("%." + dezi + "f",wert);
    }

}
